<?php
namespace Folha\Logic\ESocial;

use \Folha\Logic\ESocial\Exceptions\PreValidacaoException;

/**
 * undocumented class
 *
 * @package default
 * @author 
 **/
class PreValidacao
{
    private $validacaoEvento;
    private $identificador;
    private $id;

    public function __construct() {
        $this->validacaoEvento = null;
    }

    public function preValidaEvento($nmEvento, $data)
    {
        $this->validacaoEvento = null;
        $itens = 0;

        foreach ($data[$nmEvento] as $key=>$result) {
            foreach ($result->getFields() as $fieldName => $fieldValue) {
                $this->getErrosField($nmEvento, $fieldName, $fieldValue);
            }
            $this->identificador = null;
            $itens++;
        }

        if(is_null($this->validacaoEvento)){
            $this->validacaoEvento[] = array(
                "NMEVENTO" => $nmEvento,
                "IDENTIFICADOR" => 'N\A',
                "DSERRO" => "Não foram encontrados erros. Foram validados $itens itens.",
            );
        }

        return $this->validacaoEvento;
    }

    private function getErrosField($nmEvento, $fieldName, $fieldValue, $recursive = false)
    {
        if ($fieldName === 'ID'){
            if ($recursive) {
                $this->id = $fieldValue[0];
            }
            $this->identificador = is_null($this->identificador) ? $fieldValue[0] : $this->identificador." -> ".$this->id;
        }
        elseif (is_array($fieldValue)) {
            foreach ($fieldValue as $subFieldName => $subFieldValue) {
                if (is_array($subFieldValue)) {
                    foreach ($subFieldValue as $name => $value) {
                        $this->getErrosField($nmEvento, $name, $value, true);
                    }
                    $this->identificador = rtrim($this->identificador, " -> $this->id");
                }
                else {
                    if ($subFieldValue != '0') {
                        $msgValidacao = PreValidacaoException::retornaMensagem($subFieldValue);
                        $this->validacaoEvento[] = array(
                            "NMEVENTO" => $nmEvento,
                            "IDENTIFICADOR" => $this->identificador,
                            "DSERRO" => "$msgValidacao [$fieldName]",
                        );
                    }
                }
            }
        }
    }
}